unit Funcaos;

interface

uses
Windows, Messages, SysUtils, Classes, Graphics, Controls,  StdCtrls, Forms,
Dialogs, Buttons, Menus, ExtCtrls, DB, DBTables, DBCtrls, BDE, DbiTypes, DbiProcs,
DbiErrs, FileCtrl,Mask, wwdbdatetimepicker, CurrEdit, RxLookup, RXCtrls,
ToolEdit;

//***********Procedimentos *************

    procedure CopyReg(Origem, Destino: TQuery);
    function Confirma(nConfirma:String;bitNao:Boolean):Boolean;
    Procedure AguardaTempo(nForm:TForm;tempo:integer);
    Procedure Limpatexto(nForm:TForm);
    Procedure enviarComando;
    Procedure enviarComando2;
    Procedure enviarComando3;
    Procedure enviarComando4;
    Procedure enviarComando5;
    Procedure enviarComando6;
    Procedure enviarComando7;
    Procedure enviarComando8;
    Procedure enviarComando9;
    Procedure enviarComando10;
    Procedure enviarComando11;
    Procedure enviarComando12;
    Procedure enviarComando13;
    Procedure enviarComando14;
    Procedure enviarComando15;
    Procedure enviarComando16;
    Procedure enviarComando17;
    Procedure enviarComando18;
    Procedure enviarComando19;
    Procedure enviarComando20;
    Procedure enviarComando21;
    Procedure enviarComando22;
    Procedure enviarComando23;
    Procedure enviarComando24;
//**************************************

implementation

uses
    UFrmDialogo, Principal, UFrmGerenciamento, constantes;

//***************************************

procedure CopyReg(Origem, Destino: TQuery);
// Copia todos os registros de uma tabela para outra
var
i:integer;
begin
   with Origem do
   begin
      for i := 0 to FieldCount -1 do
      begin
            With Destino do
            begin
               Edit;
               append;
               Fields[i].Assign(Fields[i]);
               Post;
            end;
      end;
   end;
end;

function Confirma(nConfirma:String;bitNao:Boolean):Boolean;
Begin
  Application.CreateForm(TFrmDialogo, FrmDialogo);
  FrmDialogo.Label1.caption:=NConfirma;
  FrmDialogo.Label1.Alignment:=tacenter;
  If bitNao = true then
    FrmDialogo.bBotao:=True
  else
    FrmDialogo.bBotao:=False;
  FrmDialogo.Showmodal;
  Result:=FrmDialogo.vNao;
  FrmDialogo.Destroy;
  FrmDialogo:=nil;
end;

Procedure AguardaTempo(nForm:TForm;tempo:integer);
var
i:integer;
begin
   For i:=1 to 1 do
   begin
      nForm.Update;
      Sleep(tempo);
   end;
end;

Procedure Limpatexto(nForm:TForm);
var
  i : integer;
begin
       for I := 0 to nForm.ComponentCount -1 do
        begin
        if nForm.Components[i] is TEdit then
           begin
           TEdit(nForm.Components[i]).Text := '';
           end;
        if nForm.Components[i] is TDBEdit then
           begin
           TDBEdit(nForm.Components[i]).Text := '';
           end;
        if nForm.Components[i] is TComboBox then
           begin
           TComboBox(nForm.Components[i]).Text := '';
           end;
        if nForm.Components[i] is TDBComboBox then
           begin
           TDBComboBox(nForm.Components[i]).Text := '';
           end;
     end;
end;

Procedure enviarComando;
begin
  If FrmGerenciamento.MsgClient1.Connected then begin
    ShowMessage ('Aguarde, ocupado!');
    Exit;
  end;
  FrmGerenciamento.label1.caption:= 'Espere, enviando...';
  FrmGerenciamento.label1.caption:= 'Resposta: '+ FrmGerenciamento.MsgClient1.Postit (comando);
end;

Procedure enviarComando2;
begin
  If FrmGerenciamento.MsgClient2.Connected then begin
    ShowMessage ('Aguarde, ocupado!');
    Exit;
  end;
  FrmGerenciamento.label2.caption := 'Espere Enviando...';
  FrmGerenciamento.label2.caption := 'Resposta: '+ FrmGerenciamento.MsgClient2.Postit (comando);
end;

Procedure enviarComando3;
begin
  If FrmGerenciamento.MsgClient3.Connected then begin
    ShowMessage ('Aguarde, ocupado!');
    Exit;
  end;
  FrmGerenciamento.label3.caption := 'Espere Enviando...';
  FrmGerenciamento.label3.caption := 'Resposta: '+ FrmGerenciamento.MsgClient3.Postit (comando);
end;

Procedure enviarComando4;
begin
  If FrmGerenciamento.MsgClient4.Connected then begin
    ShowMessage ('Aguarde, ocupado!');
    Exit;
  end;
  FrmGerenciamento.label4.caption := 'Espere Enviando...';
  FrmGerenciamento.label4.caption := 'Resposta: '+ FrmGerenciamento.MsgClient4.Postit (comando);
end;

Procedure enviarComando5;
begin
  If FrmGerenciamento.MsgClient5.Connected then begin
    ShowMessage ('Aguarde, ocupado!');
    Exit;
  end;
  FrmGerenciamento.label5.caption := 'Espere Enviando...';
  FrmGerenciamento.label5.caption := 'Resposta: '+ FrmGerenciamento.MsgClient5.Postit (comando);
end;

Procedure enviarComando6;
begin
  If FrmGerenciamento.MsgClient6.Connected then begin
    ShowMessage ('Aguarde, ocupado!');
    Exit;
  end;
  FrmGerenciamento.label6.caption := 'Espere Enviando...';
  FrmGerenciamento.label6.caption := 'Resposta: '+ FrmGerenciamento.MsgClient6.Postit (comando);
end;

Procedure enviarComando7;
begin
  If FrmGerenciamento.MsgClient7.Connected then begin
    ShowMessage ('Aguarde, ocupado!');
    Exit;
  end;
  FrmGerenciamento.label7.caption := 'Espere Enviando...';
  FrmGerenciamento.label7.caption := 'Resposta: '+ FrmGerenciamento.MsgClient7.Postit (comando);
end;

Procedure enviarComando8;
begin
  If FrmGerenciamento.MsgClient8.Connected then begin
    ShowMessage ('Aguarde, ocupado!');
    Exit;
  end;
  FrmGerenciamento.label8.caption := 'Espere Enviando...';
  FrmGerenciamento.label8.caption := 'Resposta: '+ FrmGerenciamento.MsgClient8.Postit (comando);
end;

Procedure enviarComando9;
begin
  If FrmGerenciamento.MsgClient9.Connected then begin
    ShowMessage ('Aguarde, ocupado!');
    Exit;
  end;
  FrmGerenciamento.label9.caption := 'Espere Enviando...';
  FrmGerenciamento.label9.caption := 'Resposta: '+ FrmGerenciamento.MsgClient9.Postit (comando);
end;

Procedure enviarComando10;
begin
  If FrmGerenciamento.MsgClient10.Connected then begin
    ShowMessage ('Aguarde, ocupado!');
    Exit;
  end;
  FrmGerenciamento.label10.caption := 'Espere Enviando...';
  FrmGerenciamento.label10.caption := 'Resposta: '+ FrmGerenciamento.MsgClient10.Postit (comando);
end;

Procedure enviarComando11;
begin
  If FrmGerenciamento.MsgClient11.Connected then begin
    ShowMessage ('Aguarde, ocupado!');
    Exit;
  end;
  FrmGerenciamento.label11.caption := 'Espere Enviando...';
  FrmGerenciamento.label11.caption := 'Resposta: '+ FrmGerenciamento.MsgClient11.Postit (comando);
end;

Procedure enviarComando12;
begin
  If FrmGerenciamento.MsgClient12.Connected then begin
    ShowMessage ('Aguarde, ocupado!');
    Exit;
  end;
  FrmGerenciamento.label12.caption := 'Espere Enviando...';
  FrmGerenciamento.label12.caption := 'Resposta: '+ FrmGerenciamento.MsgClient12.Postit (comando);
end;

Procedure enviarComando13;
begin
  If FrmGerenciamento.MsgClient13.Connected then begin
    ShowMessage ('Aguarde, ocupado!');
    Exit;
  end;
  FrmGerenciamento.label13.caption := 'Espere Enviando...';
  FrmGerenciamento.label13.caption := 'Resposta: '+ FrmGerenciamento.MsgClient13.Postit (comando);
end;

Procedure enviarComando14;
begin
  If FrmGerenciamento.MsgClient14.Connected then begin
    ShowMessage ('Aguarde, ocupado!');
    Exit;
  end;
  FrmGerenciamento.label14.caption := 'Espere Enviando...';
  FrmGerenciamento.label14.caption := 'Resposta: '+ FrmGerenciamento.MsgClient14.Postit (comando);
end;

Procedure enviarComando15;
begin
  If FrmGerenciamento.MsgClient15.Connected then begin
    ShowMessage ('Aguarde, ocupado!');
    Exit;
  end;
  FrmGerenciamento.label15.caption := 'Espere Enviando...';
  FrmGerenciamento.label15.caption := 'Resposta: '+ FrmGerenciamento.MsgClient15.Postit (comando);
end;

Procedure enviarComando16;
begin
  If FrmGerenciamento.MsgClient16.Connected then begin
    ShowMessage ('Aguarde, ocupado!');
    Exit;
  end;
  FrmGerenciamento.label16.caption := 'Espere Enviando...';
  FrmGerenciamento.label16.caption := 'Resposta: '+ FrmGerenciamento.MsgClient16.Postit (comando);
end;

Procedure enviarComando17;
begin
  If FrmGerenciamento.MsgClient17.Connected then begin
    ShowMessage ('Aguarde, ocupado!');
    Exit;
  end;
  FrmGerenciamento.label17.caption := 'Espere Enviando...';
  FrmGerenciamento.label17.caption := 'Resposta: '+ FrmGerenciamento.MsgClient17.Postit (comando);
end;

Procedure enviarComando18;
begin
  If FrmGerenciamento.MsgClient18.Connected then begin
    ShowMessage ('Aguarde, ocupado!');
    Exit;
  end;
  FrmGerenciamento.label18.caption := 'Espere Enviando...';
  FrmGerenciamento.label18.caption := 'Resposta: '+ FrmGerenciamento.MsgClient18.Postit (comando);
end;

Procedure enviarComando19;
begin
  If FrmGerenciamento.MsgClient19.Connected then begin
    ShowMessage ('Aguarde, ocupado!');
    Exit;
  end;
  FrmGerenciamento.label19.caption := 'Espere Enviando...';
  FrmGerenciamento.label19.caption := 'Resposta: '+ FrmGerenciamento.MsgClient19.Postit (comando);
end;

Procedure enviarComando20;
begin
  If FrmGerenciamento.MsgClient20.Connected then begin
    ShowMessage ('Aguarde, ocupado!');
    Exit;
  end;
  FrmGerenciamento.label20.caption := 'Espere Enviando...';
  FrmGerenciamento.label20.caption := 'Resposta: '+ FrmGerenciamento.MsgClient20.Postit (comando);
end;

Procedure enviarComando21;
begin
  If FrmGerenciamento.MsgClient21.Connected then begin
    ShowMessage ('Aguarde, ocupado!');
    Exit;
  end;
  FrmGerenciamento.label21.caption := 'Espere Enviando...';
  FrmGerenciamento.label21.caption := 'Resposta: '+ FrmGerenciamento.MsgClient21.Postit (comando);
end;

Procedure enviarComando22;
begin
  If FrmGerenciamento.MsgClient22.Connected then begin
    ShowMessage ('Aguarde, ocupado!');
    Exit;
  end;
  FrmGerenciamento.label22.caption := 'Espere Enviando...';
  FrmGerenciamento.label22.caption := 'Resposta: '+ FrmGerenciamento.MsgClient22.Postit (comando);
end;

Procedure enviarComando23;
begin
  If FrmGerenciamento.MsgClient23.Connected then begin
    ShowMessage ('Aguarde, ocupado!');
    Exit;
  end;
  FrmGerenciamento.label23.caption := 'Espere Enviando...';
  FrmGerenciamento.label23.caption := 'Resposta: '+ FrmGerenciamento.MsgClient23.Postit (comando);
end;

Procedure enviarComando24;
begin
  If FrmGerenciamento.MsgClient24.Connected then begin
    ShowMessage ('Aguarde, ocupado!');
    Exit;
  end;
  FrmGerenciamento.label24.caption := 'Espere Enviando...';
  FrmGerenciamento.label24.caption := 'Resposta: '+ FrmGerenciamento.MsgClient24.Postit (comando);
end;

end.
